
Name: kdemultimedia
Epoch: 6
Version: 4.0.3
Release: 3%{?dist}
Summary: K Desktop Environment - Multimedia applications

Group:     Applications/Multimedia
License:   GPLv2
URL:       http://www.kde.org/
Source0:   ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdemultimedia-%{version}.tar.bz2
Patch0:    kdemultimedia-4.0.3-kmix-systray.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This one is normal, FLAC_OGG_LIBRARY is not actually used anyway:
# FLAC_OGG_LIBRARY:FILEPATH=FLAC_OGG_LIBRARY-NOTFOUND

BuildRequires: alsa-lib-devel
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: cmake
BuildRequires: flac-devel
BuildRequires: giflib-devel
BuildRequires: kde-filesystem >= 4
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: libmusicbrainz-devel
BuildRequires: libtheora-devel
BuildRequires: libtunepimp-devel
BuildRequires: libvorbis-devel
BuildRequires: pcre-devel
BuildRequires: taglib-devel

Requires(post): xdg-utils
Requires(postun): xdg-utils

Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4 >= %{version}
Requires: kdebase-workspace >= %{version}

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}

# FIXME/TODO: Taken from 3.5.8. review needed
%description
The %{name} package contains multimedia applications, including:
* juk (a music manager and player)
* kmix (an audio mixer)
* kscd (an Audio-CD player)

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Obsoletes: %{name}-extras-libs < %{?epoch:%{epoch}:}%{version}-%{release} 
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name} 
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4-devel kdebase-workspace-devel
%description devel
%{summary}.


%prep
%setup -q -n kdemultimedia-%{version}
%patch0 -p1 -b .kmix-systray

%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/juk/
%{_kde4_appsdir}/kmix/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/profiles/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_docdir}/HTML/en/juk/
%{_kde4_docdir}/HTML/en/kmix/
%{_kde4_docdir}/HTML/en/kscd/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/libkdeinit*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/audiocdencoder.h
%{_kde4_includedir}/libkcddb/
%{_kde4_includedir}/libkcompactdisc/
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libkdeinit*.so


%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Tue Apr 01 2008 Lukáš Tinkl <ltinkl@redhat.com>
- fix kmix systray volume control tooltip

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- Rebuild for NDEBUG

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Wed Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0
- drop upstreamed cdparanoia patch

* Wed Jan 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- don't mention kaudiocreator in description, it's not actually there
- apply patch by Alex Merry to support FLAC 1.1.3+ in kio_audiocd
- apply patch by Allen Winter to fix cdparanoia detection
- list audiocdencoder.h in file list (-devel)

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- -libs: Obsoletes: -extras(-libs)
- cleanup BR's
- omit parallel-install symlink hacks

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Mon Dec 10 2007 Than Ngo <than@redhat.com> 3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- libs subpkg
- also use epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- Requires: kdebase-workspace-devel
- BR: libXScrnSaver-devel
- BR: libXtst-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
